## org.eclipse.emf.ecoretools.diagram.part
Class EcoreNodeDescriptor

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.part.EcoreNodeDescriptor

Direct Known Subclasses:
  EcoreLinkDescriptor

    public class EcoreNodeDescriptor

extends java.lang.Object

Constructor Summary
`EcoreNodeDescriptor(org.eclipse.emf.ecore.EObject modelElement, int visualID)`

Method Summary
`org.eclipse.emf.ecore.EObject` `getModelElement()`
`java.lang.String` `getType()`
`int` `getVisualID()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreNodeDescriptor

    public EcoreNodeDescriptor(org.eclipse.emf.ecore.EObject modelElement,
                               int visualID)

Method Detail

### getModelElement

    public org.eclipse.emf.ecore.EObject getModelElement()

### getVisualID

    public int getVisualID()

### getType

    public java.lang.String getType()

Copyright 2007 Anyware Technologies. All Rights Reserved.